## org.apache.mahout.math.decomposer
Class AsyncEigenVerifier

    java.lang.Object
      org.apache.mahout.math.decomposer.SimpleEigenVerifier
          org.apache.mahout.math.decomposer.AsyncEigenVerifier

All Implemented Interfaces:
  Closeable, SingularVectorVerifier

    public class AsyncEigenVerifier

extends SimpleEigenVerifier
implements Closeable

Constructor Summary
`AsyncEigenVerifier()`

Method Summary
`void` `close()`
`protected EigenStatus` `innerVerify(VectorIterable corpus, Vector vector)`
`EigenStatus` `verify(VectorIterable corpus, Vector vector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncEigenVerifier

    public AsyncEigenVerifier()

Method Detail

### verify

    public EigenStatus verify(VectorIterable corpus,
                              Vector vector)

  Specified by:
    `verify` in interface `SingularVectorVerifier`
  Overrides:
    `verify` in class `SimpleEigenVerifier`

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`

### innerVerify

    protected EigenStatus innerVerify(VectorIterable corpus,
                                      Vector vector)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.